Module jdk.accessibility
Package com.sun.java.accessibility.util

## Class EventID

- java.lang.Object
- - com.sun.java.accessibility.util.EventID

    public class EventID
    extends Object

EventID contains integer constants that map to event support in AWT and Swing. They are used by primarily by AWTEventMonitor, AWTEventsListener, SwingEventMonitor, and SwingEventListener, but can be freely used by any other class.

See Also:
  `AWTEventMonitor`, `SwingEventMonitor`

### Field Summary

Fields
`static int` `ACTION` Maps to AWT Action support (i.e., ActionListener and ActionEvent)
`static int` `ADJUSTMENT` Maps to AWT Adjustment support (i.e., AdjustmentListener and AdjustmentEvent)
`static int` `ANCESTOR` Maps to Swing Ancestor support (i.e., AncestorListener and AncestorEvent)
`static int` `CARET` Maps to Swing Text Caret support (i.e., CaretListener and CaretEvent)
`static int` `CELLEDITOR` Maps to Swing CellEditor support (i.e., CellEditorListener and CellEditorEvent)
`static int` `CHANGE` Maps to Swing Change support (i.e., ChangeListener and ChangeEvent)
`static int` `COLUMNMODEL` Maps to Swing TableColumnModel support (i.e., TableColumnModelListener and TableColumnModelEvent)
`static int` `COMPONENT` Maps to AWT Component support (i.e., ComponentListener and ComponentEvent)
`static int` `CONTAINER` Maps to AWT Container support (i.e., ContainerListener and ContainerEvent)
`static int` `DOCUMENT` Maps to Swing Document support (i.e., DocumentListener and DocumentEvent)
`static int` `FOCUS` Maps to AWT Focus support (i.e., FocusListener and FocusEvent)
`static int` `INTERNALFRAME` Maps to Swing InternalFrame support (i.e., InternalFrameListener)
`static int` `ITEM` Maps to AWT Item support (i.e., ItemListener and ItemEvent)
`static int` `KEY` Maps to AWT Key support (i.e., KeyListener and KeyEvent)
`static int` `LISTDATA` Maps to Swing ListData support (i.e., ListDataListener and ListDataEvent)
`static int` `LISTSELECTION` Maps to Swing ListSelection support (i.e., ListSelectionListener and ListSelectionEvent)
`static int` `MENU` Maps to Swing Menu support (i.e., MenuListener and MenuEvent)
`static int` `MOTION` Maps to AWT MouseMotion support (i.e., MouseMotionListener and MouseMotionEvent)
`static int` `MOUSE` Maps to AWT Mouse support (i.e., MouseListener and MouseEvent)
`static int` `POPUPMENU` Maps to Swing PopupMenu support (i.e., PopupMenuListener and PopupMenuEvent)
`static int` `PROPERTYCHANGE` Maps to Beans PropertyChange support (i.e., PropertyChangeListener and PropertyChangeEvent)
`static int` `TABLEMODEL` Maps to Swing TableModel support (i.e., TableModelListener and TableModelEvent)
`static int` `TEXT` Maps to AWT Text support (i.e., TextListener and TextEvent)
`static int` `TREEEXPANSION` Maps to Swing TreeExpansion support (i.e., TreeExpansionListener and TreeExpansionEvent)
`static int` `TREEMODEL` Maps to Swing TreeModel support (i.e., TreeModelListener and TreeModelEvent)
`static int` `TREESELECTION` Maps to Swing TreeSelection support (i.e., TreeSelectionListener and TreeSelectionEvent)
`static int` `UNDOABLEEDIT` Maps to Swing UndoableEdit support (i.e., UndoableEditListener and UndoableEditEvent)
`static int` `VETOABLECHANGE` Maps to Beans VetoableChange support (i.e., VetoableChangeListener and VetoableChangeEvent)
`static int` `WINDOW` Maps to AWT Window support (i.e., WindowListener and WindowEvent)

### Constructor Summary

Constructors
`EventID()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ACTION

    public static final int ACTION

Maps to AWT Action support (i.e., ActionListener and ActionEvent)

See Also:
  Constant Field Values

#### ADJUSTMENT

    public static final int ADJUSTMENT

Maps to AWT Adjustment support (i.e., AdjustmentListener and AdjustmentEvent)

See Also:
  Constant Field Values

#### COMPONENT

    public static final int COMPONENT

Maps to AWT Component support (i.e., ComponentListener and ComponentEvent)

See Also:
  Constant Field Values

#### CONTAINER

    public static final int CONTAINER

Maps to AWT Container support (i.e., ContainerListener and ContainerEvent)

See Also:
  Constant Field Values

#### FOCUS

    public static final int FOCUS

Maps to AWT Focus support (i.e., FocusListener and FocusEvent)

See Also:
  Constant Field Values

#### ITEM

    public static final int ITEM

Maps to AWT Item support (i.e., ItemListener and ItemEvent)

See Also:
  Constant Field Values

#### KEY

    public static final int KEY

Maps to AWT Key support (i.e., KeyListener and KeyEvent)

See Also:
  Constant Field Values

#### MOUSE

    public static final int MOUSE

Maps to AWT Mouse support (i.e., MouseListener and MouseEvent)

See Also:
  Constant Field Values

#### MOTION

    public static final int MOTION

Maps to AWT MouseMotion support (i.e., MouseMotionListener and MouseMotionEvent)

See Also:
  Constant Field Values

#### TEXT

    public static final int TEXT

Maps to AWT Text support (i.e., TextListener and TextEvent)

See Also:
  Constant Field Values

#### WINDOW

    public static final int WINDOW

Maps to AWT Window support (i.e., WindowListener and WindowEvent)

See Also:
  Constant Field Values

#### ANCESTOR

    public static final int ANCESTOR

Maps to Swing Ancestor support (i.e., AncestorListener and AncestorEvent)

See Also:
  Constant Field Values

#### CARET

    public static final int CARET

Maps to Swing Text Caret support (i.e., CaretListener and CaretEvent)

See Also:
  Constant Field Values

#### CELLEDITOR

    public static final int CELLEDITOR

Maps to Swing CellEditor support (i.e., CellEditorListener and CellEditorEvent)

See Also:
  Constant Field Values

#### CHANGE

    public static final int CHANGE

Maps to Swing Change support (i.e., ChangeListener and ChangeEvent)

See Also:
  Constant Field Values

#### COLUMNMODEL

    public static final int COLUMNMODEL

Maps to Swing TableColumnModel support (i.e., TableColumnModelListener and TableColumnModelEvent)

See Also:
  Constant Field Values

#### DOCUMENT

    public static final int DOCUMENT

Maps to Swing Document support (i.e., DocumentListener and DocumentEvent)

See Also:
  Constant Field Values

#### LISTDATA

    public static final int LISTDATA

Maps to Swing ListData support (i.e., ListDataListener and ListDataEvent)

See Also:
  Constant Field Values

#### LISTSELECTION

    public static final int LISTSELECTION

Maps to Swing ListSelection support (i.e., ListSelectionListener and ListSelectionEvent)

See Also:
  Constant Field Values

#### MENU

    public static final int MENU

Maps to Swing Menu support (i.e., MenuListener and MenuEvent)

See Also:
  Constant Field Values

#### POPUPMENU

    public static final int POPUPMENU

Maps to Swing PopupMenu support (i.e., PopupMenuListener and PopupMenuEvent)

See Also:
  Constant Field Values

#### TABLEMODEL

    public static final int TABLEMODEL

Maps to Swing TableModel support (i.e., TableModelListener and TableModelEvent)

See Also:
  Constant Field Values

#### TREEEXPANSION

    public static final int TREEEXPANSION

Maps to Swing TreeExpansion support (i.e., TreeExpansionListener and TreeExpansionEvent)

See Also:
  Constant Field Values

#### TREEMODEL

    public static final int TREEMODEL

Maps to Swing TreeModel support (i.e., TreeModelListener and TreeModelEvent)

See Also:
  Constant Field Values

#### TREESELECTION

    public static final int TREESELECTION

Maps to Swing TreeSelection support (i.e., TreeSelectionListener and TreeSelectionEvent)

See Also:
  Constant Field Values

#### UNDOABLEEDIT

    public static final int UNDOABLEEDIT

Maps to Swing UndoableEdit support (i.e., UndoableEditListener and UndoableEditEvent)

See Also:
  Constant Field Values

#### PROPERTYCHANGE

    public static final int PROPERTYCHANGE

Maps to Beans PropertyChange support (i.e., PropertyChangeListener and PropertyChangeEvent)

See Also:
  Constant Field Values

#### VETOABLECHANGE

    public static final int VETOABLECHANGE

Maps to Beans VetoableChange support (i.e., VetoableChangeListener and VetoableChangeEvent)

See Also:
  Constant Field Values

#### INTERNALFRAME

    public static final int INTERNALFRAME

Maps to Swing InternalFrame support (i.e., InternalFrameListener)

See Also:
  Constant Field Values

### Constructor Detail

#### EventID

    public EventID()